Bug 433905 - agave failed massrebuild attempt for GCC 4.3
agave failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: agave (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-21 20:39 EST by Jesse Keating
Modified: 2013-01-09 21:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 12:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to fix the build (418 bytes, patch)
2008-03-27 11:44 EDT, Christopher Aillon
no flags Details | Diff

  None (edit)
Description Jesse Keating 2008-02-21 20:39:46 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=435845
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-21 20:53:13 EST
PPC:

In file included from gcs-bookmarklist.h:38,
                 from gcs-bookmarklist.cc:37:
../../src/paletteparser/palette.h: In member function 'Glib::ustring
pp::Palette::parse_name(const char*)':
../../src/paletteparser/palette.h:157: error: 'strstr' was not declared in this
scope
../../src/paletteparser/palette.h:159: error: 'strlen' was not declared in this
scope
../../src/paletteparser/palette.h: In member function 'size_t
pp::Palette::parse_columns(const char*)':
../../src/paletteparser/palette.h:172: error: 'strstr' was not declared in this
scope
../../src/paletteparser/palette.h:175: error: 'strlen' was not declared in this
scope
../../src/paletteparser/palette.h: In member function 'bool
pp::Palette::parse_header(const char*)':
../../src/paletteparser/palette.h:189: error: 'strncmp' was not declared in this
scope

i386:

n file included from gcs-paletteview.h:42,
                 from gcs-paletteview.cc:33:
../../src/paletteparser/palette.h: In member function 'Glib::ustring
pp::Palette::parse_name(const char*)':
../../src/paletteparser/palette.h:157: error: 'strstr' was not declared in this
scope
../../src/paletteparser/palette.h:159: error: 'strlen' was not declared in this
scope
../../src/paletteparser/palette.h: In member function 'size_t
pp::Palette::parse_columns(const char*)':
../../src/paletteparser/palette.h:172: error: 'strstr' was not declared in this
scope
../../src/paletteparser/palette.h:175: error: 'strlen' was not declared in this
scope
../../src/paletteparser/palette.h: In member function 'bool
pp::Palette::parse_header(const char*)':
../../src/paletteparser/palette.h:189: error: 'strncmp' was not declared in this
scope
In file included from palette-selector.h:33,
                 from palette-selector.cc:31:
../../src/paletteparser/palette.h: In member function 'Glib::ustring
pp::Palette::parse_name(const char*)':
../../src/paletteparser/palette.h:157: error: 'strstr' was not declared in this
scope
../../src/paletteparser/palette.h:159: error: 'strlen' was not declared in this
scope
../../src/paletteparser/palette.h: In member function 'size_t
pp::Palette::parse_columns(const char*)':
../../src/paletteparser/palette.h:172: error: 'strstr' was not declared in this
scope
../../src/paletteparser/palette.h:175: error: 'strlen' was not declared in this
scope
../../src/paletteparser/palette.h: In member function 'bool
pp::Palette::parse_header(const char*)':
../../src/paletteparser/palette.h:189: error: 'strncmp' was not declared in this
scope
gcs-cellrendererswatch.cc: In member function 'virtual void
gcs::Widgets::CellRendererSwatch::render_vfunc(const
Glib::RefPtr<Gdk::Drawable>&, Gtk::Widget&, const Gdk::Rectangle&, const
Gdk::Rectangle&, const Gdk::Rectangle&, Gtk::CellRendererState)':
gcs-cellrendererswatch.cc:110: warning: suggest parentheses around comparison in
operand of &
In file included from gcs-bookmarklist.h:38,
                 from gcs-bookmarklist.cc:37:
../../src/paletteparser/palette.h: In member function 'Glib::ustring
pp::Palette::parse_name(const char*)':
../../src/paletteparser/palette.h:157: error: 'strstr' was not declared in this
scope
../../src/paletteparser/palette.h:159: error: 'strlen' was not declared in this
scope
../../src/paletteparser/palette.h: In member function 'size_t
pp::Palette::parse_columns(const char*)':
../../src/paletteparser/palette.h:172: error: 'strstr' was not declared in this
scope
../../src/paletteparser/palette.h:175: error: 'strlen' was not declared in this
scope
../../src/paletteparser/palette.h: In member function 'bool
pp::Palette::parse_header(const char*)':
../../src/paletteparser/palette.h:189: error: 'strncmp' was not declared in this
scope
Comment 2 Christopher Aillon 2008-03-27 11:44:56 EDT
Created attachment 299345 [details]
Patch to fix the build

Easy fix in the afflicted header file.
Comment 3 Christopher Aillon 2008-03-27 12:58:03 EDT
Committed and built:
http://koji.fedoraproject.org/koji/buildinfo?buildID=44055

Note You need to log in before you can comment on or make changes to this bug.